// global variables //TRAUMA 2020
var TIMER = 5;
var SPEED = 10;
var WRAPPER = 'content';


function init() {
	ie = (document.all)? true:false
	ns = (ie)? false:true
}

function bgChange(celda,img)
{
	celda.style.background="url(" + img + ")";
}

function valida_datos_acceso(){
	if	(isEmpty("usr")) {
		alert (document.getElementById("usr_vacio").value);
		return false;
	}
	if	(isEmpty("psw")) {
		alert (document.getElementById("psw_vacio").value);
		return false;
	}
	if	(!isEmpty("usr") && !isEmpty("psw")) {
		alert (document.getElementById("error_datos").value);
		return false;
	}

	return true;
}


function ContarPalabras(texto){
	var sTx2 = ""; 
	var sSeparadores = " ,.;:"; 
	var iRes = 0; 
	var bPalabra = false; 
	for (var j = 0; j < texto.length; j++){ 
		if (sSeparadores.indexOf(texto.charAt(j)) != -1){ 
			if (bPalabra) sTx2 += " "; 
			bPalabra = false; 
		} else { 
			bPalabra = true; 
			sTx2 += texto.charAt(j); 
		} 
	} 
	if (sTx2.charAt(sTx2.length - 1) != " ") sTx2 += " "; 
	for ( j = 0; j < sTx2.length; j++) 
		if (sTx2.charAt(j) == " ") iRes++; 
	if (sTx2.length == 1) iRes = 0; 
	
	return String(iRes);
}

function VerNroPalabras(){
	NroPalabrasNativo = ContarPalabras(document.getElementById("objetivo").value+' '+document.getElementById("metodos").value+' '+document.getElementById("resultados").value+' '+document.getElementById("conclusiones").value);
	NroPalabrasTitulo = ContarPalabras(document.getElementById("titulo").value);
	
	
	if (Number(NroPalabrasNativo) > Number(document.getElementById("MaxNroPalabras").value)){
		document.getElementById("palabras_nativo").style.background='#FF0000';
			alert (document.getElementById("palabras_maximas_idioma_nativo").value);
			alert ("Currently you have"+NroPalabrasNativo+" words.");
			alert ("You should reduce the number of words or your abstract will not be received.");

	} else {
		document.getElementById("palabras_nativo").style.background='#CCCCCC';
	}
	
 	document.getElementById("palabras_nativo").value = NroPalabrasNativo + " / " + document.getElementById("MaxNroPalabras").value; 
	
}

function VerNroPalabrasTitulo(){
	NroPalabrasTitulo = ContarPalabras(document.getElementById("titulo").value);
	
	if (Number(NroPalabrasTitulo) > Number(document.getElementById("MaxNroPalabrasTitulo").value)){
		document.getElementById("palabras_titulo").style.background='#FF0000';
			alert (document.getElementById("palabras_maximas_titulo").value);
			alert ("Currently you have "+NroPalabrasTitulo+" words.");
	} else {
		document.getElementById("palabras_titulo").style.background='#CCCCCC';
	}
	document.getElementById("palabras_titulo").value = NroPalabrasTitulo + " / " + document.getElementById("MaxNroPalabrasTitulo").value;
}

function valida_datos_trabajo2(){

        if	(isEmpty("titulo")) {
		     alert (document.getElementById("titulo_vacio").value);
		    return false;
    	}

		if	(isEmpty("objetivo")) {
			alert (document.getElementById("objetivo_vacio").value);
			return false;
		}
		if	(isEmpty("metodos")) {
			alert (document.getElementById("metodos_vacio").value);
			return false;
		}
		if	(isEmpty("resultados")) {
			alert (document.getElementById("resultados_vacio").value);
			return false;
		}
		if	(isEmpty("conclusiones")) {
			alert (document.getElementById("conclusiones_vacio").value);
			return false;
		}	
		
	
               if	(isEmpty("beca")) {
			alert (document.getElementById("beca_vacio").value);
			return false;
		};
	

										 
if ((!document.getElementById("formulario").tipo_competicion[0].checked) && 
		  (!document.getElementById("formulario").tipo_competicion[1].checked) &&
		  (!document.getElementById("formulario").tipo_competecion[2].checked)){
			alert (document.getElementById("tipo_competicion_vacio").value);
			return false;
	} 
	
	if ((!document.getElementById("formulario").tipo_presentacion[0].checked) && 
		  (!document.getElementById("formulario").tipo_presentacion[1].checked) &&
		  (!document.getElementById("formulario").tipo_presentacion[2].checked)){
			alert (document.getElementById("tipo_presentacion_vacio").value);
			return false;
	} 
	
		
		
 if (document.getElementById("cant_autores").value>=1){

	
    	if	(isEmpty("nomb1")) {
			alert (document.getElementById("nomb1_vacio").value);
			return false;
		};
		
		if	(isEmpty("apellidos1")) {
			alert (document.getElementById("apellidos1_vacio").value);
			return false;
		};
	
	
		
		if	(isEmpty("fellow1")) {
			alert (document.getElementById("fellow1_vacio").value);
			return false;
		};
		if	(isEmpty("fecha1")) {
			alert (document.getElementById("fecha1_vacio").value);
			return false;
		};
		if	(isEmpty("pais1")) {
			alert (document.getElementById("pais1_vacio").value);
			return false;
		};
		if	(isEmpty("destino1")) {
			alert (document.getElementById("destino1_vacio").value);
			return false;
		};
		
		if	(isEmpty("email1")) {
			alert (document.getElementById("email1_vacio").value);
			return false;
		};
		if	(!isMail_address(document.getElementById("email1").value)) {
		alert (document.getElementById("email1_error").value);
		return false;
	   }
		
	};
	
	if (document.getElementById("cant_autores").value>=2){
		if	(isEmpty("nomb2")) {
			alert (document.getElementById("nomb2_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos2")) {
			alert (document.getElementById("apellidos2_vacio").value);
			return false;
		};
	
				
		if	(isEmpty("fellow2")) {
			alert (document.getElementById("fellow2_vacio").value);
			return false;
		};
		if	(isEmpty("fecha2")) {
			alert (document.getElementById("fecha2_vacio").value);
			return false;
		};
		if	(isEmpty("pais2")) {
			alert (document.getElementById("pais2_vacio").value);
			return false;
		};
		if	(isEmpty("destino2")) {
			alert (document.getElementById("destino2_vacio").value);
			return false;
		};	
		if	(isEmpty("email2")) {
			alert (document.getElementById("email2_vacio").value);
			return false;
		};
		
			if	(!isMail_address(document.getElementById("email2").value)) {
		alert (document.getElementById("email2_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=3){
		if	(isEmpty("nomb3")) {
			alert (document.getElementById("nomb3_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos3")) {
			alert (document.getElementById("apellidos3_vacio").value);
			return false;
		};
		if	(isEmpty("fellow3")) {
			alert (document.getElementById("fellow3_vacio").value);
			return false;
		};
		if	(isEmpty("fecha3")) {
			alert (document.getElementById("fecha3_vacio").value);
			return false;
		};
		if	(isEmpty("pais3")) {
			alert (document.getElementById("pais3_vacio").value);
			return false;
		};
		if	(isEmpty("destino3")) {
			alert (document.getElementById("destino3_vacio").value);
			return false;
		};	
		
	
			if	(isEmpty("email3")) {
			alert (document.getElementById("email3_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email3").value)) {
		alert (document.getElementById("email3_error").value);
		return false;
	   }
	
	};
	
	if (document.getElementById("cant_autores").value>=4){
		if	(isEmpty("nomb4")) {
			alert (document.getElementById("nomb4_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos4")) {
			alert (document.getElementById("apellidos4_vacio").value);
			return false;
		};
	          if	(isEmpty("fellow4")) {
			alert (document.getElementById("fellow4_vacio").value);
			return false;
		};
		if	(isEmpty("fecha4")) {
			alert (document.getElementById("fecha4_vacio").value);
			return false;
		};
		if	(isEmpty("pais4")) {
			alert (document.getElementById("pais4_vacio").value);
			return false;
		};
		if	(isEmpty("destino4")) {
			alert (document.getElementById("destino4_vacio").value);
			return false;
		};	
	
			if	(isEmpty("email4")) {
			alert (document.getElementById("email4_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email4").value)) {
		alert (document.getElementById("email4_error").value);
		return false;
	   }
	
	};
	if (document.getElementById("cant_autores").value>=5){
		if	(isEmpty("nomb5")) {
			alert (document.getElementById("nomb5_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos5")) {
			alert (document.getElementById("apellidos5_vacio").value);
			return false;
		}; 
		if	(isEmpty("fellow5")) {
			alert (document.getElementById("fellow5_vacio").value);
			return false;
		};
		if	(isEmpty("fecha5")) {
			alert (document.getElementById("fecha5_vacio").value);
			return false;
		};
		if	(isEmpty("pais5")) {
			alert (document.getElementById("pais5_vacio").value);
			return false;
		};
		if	(isEmpty("destino5")) {
			alert (document.getElementById("destino5_vacio").value);
			return false;
		};	
	
			if	(isEmpty("email5")) {
			alert (document.getElementById("email5_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email5").value)) {
		alert (document.getElementById("email5_error").value);
		return false;
	   }
	
	};
	if (document.getElementById("cant_autores").value>=6){
		if	(isEmpty("nomb6")) {
			alert (document.getElementById("nomb6_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos6")) {
			alert (document.getElementById("apellidos6_vacio").value);
			return false;
		};
		
		if	(isEmpty("fellow6")) {
			alert (document.getElementById("fellow6_vacio").value);
			return false;
		};
		if	(isEmpty("fecha6")) {
			alert (document.getElementById("fecha6_vacio").value);
			return false;
		};
		if	(isEmpty("pais6")) {
			alert (document.getElementById("pais6_vacio").value);
			return false;
		};
		if	(isEmpty("destino6")) {
			alert (document.getElementById("destino6_vacio").value);
			return false;
		};	
		
			if	(isEmpty("email6")) {
			alert (document.getElementById("email6_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email6").value)) {
		alert (document.getElementById("email6_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=7){
		if	(isEmpty("nomb7")) {
			alert (document.getElementById("nomb7_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos7")) {
			alert (document.getElementById("apellidos7_vacio").value);
			return false;
		};
		
		if	(isEmpty("fellow7")) {
			alert (document.getElementById("fellow7_vacio").value);
			return false;
		};
		if	(isEmpty("fecha7")) {
			alert (document.getElementById("fecha7_vacio").value);
			return false;
		};
		if	(isEmpty("pais7")) {
			alert (document.getElementById("pais7_vacio").value);
			return false;
		};
		if	(isEmpty("destino7")) {
			alert (document.getElementById("destino7_vacio").value);
			return false;
		};	
		
			if	(isEmpty("email7")) {
			alert (document.getElementById("email7_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email7").value)) {
		alert (document.getElementById("email7_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=8){
		if	(isEmpty("nomb8")) {
			alert (document.getElementById("nomb8_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos8")) {
			alert (document.getElementById("apellidos8_vacio").value);
			return false;
		};
		
		if	(isEmpty("fellow8")) {
			alert (document.getElementById("fellow8_vacio").value);
			return false;
		};
		if	(isEmpty("fecha8")) {
			alert (document.getElementById("fecha8_vacio").value);
			return false;
		};
		if	(isEmpty("pais8")) {
			alert (document.getElementById("pais8_vacio").value);
			return false;
		};
		if	(isEmpty("destino8")) {
			alert (document.getElementById("destino8_vacio").value);
			return false;
		};	
	
			if	(isEmpty("email8")) {
			alert (document.getElementById("email8_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email8").value)) {
		alert (document.getElementById("email8_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=9){
		if	(isEmpty("nomb9")) {
			alert (document.getElementById("nomb9_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos9")) {
			alert (document.getElementById("apellidos9_vacio").value);
			return false;
		};
		if	(isEmpty("email9")) {
			alert (document.getElementById("email9_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email9").value)) {
		alert (document.getElementById("email9_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=10){
		if	(isEmpty("nomb10")) {
			alert (document.getElementById("nomb10_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos10")) {
			alert (document.getElementById("apellidos10_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email10").value)) {
		alert (document.getElementById("email10_error").value);
		return false;
	   }
		
	};
	
	
	if	(isEmpty("organizacion")) {
		alert (document.getElementById("organizacion_vacio").value);
		return false;
	};
	
	if	(isEmpty("fellow")) {
		alert (document.getElementById("fellow_vacio").value);
		return false;
	};
	
		
	if	(isEmpty("patrocinador1")) {
		alert (document.getElementById("patrocinador1_vacio").value);
		return false;
	};
	
	if	(isEmpty("tipoP1")) {
		alert (document.getElementById("nit1_vacio").value);
		return false;
	};
	
	if	(isEmpty("emailP1")) {
		alert (document.getElementById("emailP1_vacio").value);
		return false;
	};
	
	if	(!isMail_address(document.getElementById("emailP1").value)) {
		alert (document.getElementById("emailP1_error").value);
		return false;
	   }

	if	(isEmpty("pais")) {
		alert (document.getElementById("pais_vacio").value);
		return false;
	};
	if	(isEmpty("ciudad")) {
		alert (document.getElementById("ciudad_vacio").value);
		return false;
	};		
	
	
	
//		textoResumen = Resumen.split(" ");
//		alert("Actual=>"+textoResumen+"      Aceptado==><?php echo $vMaxNroPalabras; ?>");

		ResumenEnglish = introduction.value + " " + method.value + " " + results.value + " " + conclusions.value;
		CantidadPalabras = ContarPalabras(ResumenEnglish);
				
		ResumenNativo =  objetivo.value + " " + metodos.value + " " + resultados.value + " " + conclusiones.value;
		CantidadPalabrasNativo = ContarPalabras(ResumenNativo);
		
		TituloNativo= titulo.value;
		CantidadPalabrasTitulo = ContarPalabras(Titulo);
		

		if (Number(NroPalabrasNativo) > Number(document.getElementById("MaxNroPalabras").value)){
			alert (document.getElementById("palabras_maximas_idioma_nativo").value);
			alert ("Actualmente tiene "+NroPalabrasNativo+" palabras.");
			alert ("Debe reducir el numero de palabras o su trabajo no sera recibido.");
			}
	
	return true;
}


function valida_datos_trabajo(){

        if	(isEmpty("titulo")) {
		     alert (document.getElementById("titulo_vacio").value);
		    return false;
    	}

		if	(isEmpty("objetivo")) {
			alert (document.getElementById("objetivo_vacio").value);
			return false;
		}
		if	(isEmpty("metodos")) {
			alert (document.getElementById("metodos_vacio").value);
			return false;
		}
		if	(isEmpty("resultados")) {
			alert (document.getElementById("resultados_vacio").value);
			return false;
		}
		if	(isEmpty("conclusiones")) {
			alert (document.getElementById("conclusiones_vacio").value);
			return false;
		}	
		
	
               if	(isEmpty("beca")) {
			alert (document.getElementById("beca_vacio").value);
			return false;
		};
	

										 
if ((!document.getElementById("formulario").tipo_competicion[0].checked) && 
		  (!document.getElementById("formulario").tipo_competicion[1].checked) &&
		  (!document.getElementById("formulario").tipo_competecion[2].checked)){
			alert (document.getElementById("tipo_competicion_vacio").value);
			return false;
	} 
	
	if ((!document.getElementById("formulario").tipo_presentacion[0].checked) && 
		  (!document.getElementById("formulario").tipo_presentacion[1].checked) &&
		  (!document.getElementById("formulario").tipo_presentacion[2].checked)){
			alert (document.getElementById("tipo_presentacion_vacio").value);
			return false;
	} 
	
		
		
 if (document.getElementById("cant_autores").value>=1){

	
    	if	(isEmpty("nomb1")) {
			alert (document.getElementById("nomb1_vacio").value);
			return false;
		};
		
		if	(isEmpty("apellidos1")) {
			alert (document.getElementById("apellidos1_vacio").value);
			return false;
		};
	
	
		
		if	(isEmpty("fellow1")) {
			alert (document.getElementById("fellow1_vacio").value);
			return false;
		};
		if	(isEmpty("fecha1")) {
			alert (document.getElementById("fecha1_vacio").value);
			return false;
		};
		if	(isEmpty("pais1")) {
			alert (document.getElementById("pais1_vacio").value);
			return false;
		};
		if	(isEmpty("destino1")) {
			alert (document.getElementById("destino1_vacio").value);
			return false;
		};
		
		if	(isEmpty("email1")) {
			alert (document.getElementById("email1_vacio").value);
			return false;
		};
		if	(!isMail_address(document.getElementById("email1").value)) {
		alert (document.getElementById("email1_error").value);
		return false;
	   }
		
	};
	
	if (document.getElementById("cant_autores").value>=2){
		if	(isEmpty("nomb2")) {
			alert (document.getElementById("nomb2_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos2")) {
			alert (document.getElementById("apellidos2_vacio").value);
			return false;
		};
	
				
		if	(isEmpty("fellow2")) {
			alert (document.getElementById("fellow2_vacio").value);
			return false;
		};
		if	(isEmpty("fecha2")) {
			alert (document.getElementById("fecha2_vacio").value);
			return false;
		};
		if	(isEmpty("pais2")) {
			alert (document.getElementById("pais2_vacio").value);
			return false;
		};
		if	(isEmpty("destino2")) {
			alert (document.getElementById("destino2_vacio").value);
			return false;
		};	
		if	(isEmpty("email2")) {
			alert (document.getElementById("email2_vacio").value);
			return false;
		};
		
			if	(!isMail_address(document.getElementById("email2").value)) {
		alert (document.getElementById("email2_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=3){
		if	(isEmpty("nomb3")) {
			alert (document.getElementById("nomb3_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos3")) {
			alert (document.getElementById("apellidos3_vacio").value);
			return false;
		};
		if	(isEmpty("fellow3")) {
			alert (document.getElementById("fellow3_vacio").value);
			return false;
		};
		if	(isEmpty("fecha3")) {
			alert (document.getElementById("fecha3_vacio").value);
			return false;
		};
		if	(isEmpty("pais3")) {
			alert (document.getElementById("pais3_vacio").value);
			return false;
		};
		if	(isEmpty("destino3")) {
			alert (document.getElementById("destino3_vacio").value);
			return false;
		};	
		
	
			if	(isEmpty("email3")) {
			alert (document.getElementById("email3_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email3").value)) {
		alert (document.getElementById("email3_error").value);
		return false;
	   }
	
	};
	
	if (document.getElementById("cant_autores").value>=4){
		if	(isEmpty("nomb4")) {
			alert (document.getElementById("nomb4_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos4")) {
			alert (document.getElementById("apellidos4_vacio").value);
			return false;
		};
	          if	(isEmpty("fellow4")) {
			alert (document.getElementById("fellow4_vacio").value);
			return false;
		};
		if	(isEmpty("fecha4")) {
			alert (document.getElementById("fecha4_vacio").value);
			return false;
		};
		if	(isEmpty("pais4")) {
			alert (document.getElementById("pais4_vacio").value);
			return false;
		};
		if	(isEmpty("destino4")) {
			alert (document.getElementById("destino4_vacio").value);
			return false;
		};	
	
			if	(isEmpty("email4")) {
			alert (document.getElementById("email4_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email4").value)) {
		alert (document.getElementById("email4_error").value);
		return false;
	   }
	
	};
	if (document.getElementById("cant_autores").value>=5){
		if	(isEmpty("nomb5")) {
			alert (document.getElementById("nomb5_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos5")) {
			alert (document.getElementById("apellidos5_vacio").value);
			return false;
		}; 
		if	(isEmpty("fellow5")) {
			alert (document.getElementById("fellow5_vacio").value);
			return false;
		};
		if	(isEmpty("fecha5")) {
			alert (document.getElementById("fecha5_vacio").value);
			return false;
		};
		if	(isEmpty("pais5")) {
			alert (document.getElementById("pais5_vacio").value);
			return false;
		};
		if	(isEmpty("destino5")) {
			alert (document.getElementById("destino5_vacio").value);
			return false;
		};	
	
			if	(isEmpty("email5")) {
			alert (document.getElementById("email5_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email5").value)) {
		alert (document.getElementById("email5_error").value);
		return false;
	   }
	
	};
	if (document.getElementById("cant_autores").value>=6){
		if	(isEmpty("nomb6")) {
			alert (document.getElementById("nomb6_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos6")) {
			alert (document.getElementById("apellidos6_vacio").value);
			return false;
		};
		
		if	(isEmpty("fellow6")) {
			alert (document.getElementById("fellow6_vacio").value);
			return false;
		};
		if	(isEmpty("fecha6")) {
			alert (document.getElementById("fecha6_vacio").value);
			return false;
		};
		if	(isEmpty("pais6")) {
			alert (document.getElementById("pais6_vacio").value);
			return false;
		};
		if	(isEmpty("destino6")) {
			alert (document.getElementById("destino6_vacio").value);
			return false;
		};	
		
			if	(isEmpty("email6")) {
			alert (document.getElementById("email6_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email6").value)) {
		alert (document.getElementById("email6_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=7){
		if	(isEmpty("nomb7")) {
			alert (document.getElementById("nomb7_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos7")) {
			alert (document.getElementById("apellidos7_vacio").value);
			return false;
		};
		
		if	(isEmpty("fellow7")) {
			alert (document.getElementById("fellow7_vacio").value);
			return false;
		};
		if	(isEmpty("fecha7")) {
			alert (document.getElementById("fecha7_vacio").value);
			return false;
		};
		if	(isEmpty("pais7")) {
			alert (document.getElementById("pais7_vacio").value);
			return false;
		};
		if	(isEmpty("destino7")) {
			alert (document.getElementById("destino7_vacio").value);
			return false;
		};	
		
			if	(isEmpty("email7")) {
			alert (document.getElementById("email7_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email7").value)) {
		alert (document.getElementById("email7_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=8){
		if	(isEmpty("nomb8")) {
			alert (document.getElementById("nomb8_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos8")) {
			alert (document.getElementById("apellidos8_vacio").value);
			return false;
		};
		
		if	(isEmpty("fellow8")) {
			alert (document.getElementById("fellow8_vacio").value);
			return false;
		};
		if	(isEmpty("fecha8")) {
			alert (document.getElementById("fecha8_vacio").value);
			return false;
		};
		if	(isEmpty("pais8")) {
			alert (document.getElementById("pais8_vacio").value);
			return false;
		};
		if	(isEmpty("destino8")) {
			alert (document.getElementById("destino8_vacio").value);
			return false;
		};	
	
			if	(isEmpty("email8")) {
			alert (document.getElementById("email8_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email8").value)) {
		alert (document.getElementById("email8_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=9){
		if	(isEmpty("nomb9")) {
			alert (document.getElementById("nomb9_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos9")) {
			alert (document.getElementById("apellidos9_vacio").value);
			return false;
		};
		if	(isEmpty("email9")) {
			alert (document.getElementById("email9_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email9").value)) {
		alert (document.getElementById("email9_error").value);
		return false;
	   }
		
	};
	if (document.getElementById("cant_autores").value>=10){
		if	(isEmpty("nomb10")) {
			alert (document.getElementById("nomb10_vacio").value);
			return false;
		};
		if	(isEmpty("apellidos10")) {
			alert (document.getElementById("apellidos10_vacio").value);
			return false;
		};
			if	(!isMail_address(document.getElementById("email10").value)) {
		alert (document.getElementById("email10_error").value);
		return false;
	   }
		
	};
	
	
	if	(isEmpty("organizacion")) {
		alert (document.getElementById("organizacion_vacio").value);
		return false;
	};
	
	if	(isEmpty("fellow")) {
		alert (document.getElementById("fellow_vacio").value);
		return false;
	};
	
		
	if	(isEmpty("patrocinador1")) {
		alert (document.getElementById("patrocinador1_vacio").value);
		return false;
	};
	
	if	(isEmpty("tipoP1")) {
		alert (document.getElementById("nit1_vacio").value);
		return false;
	};
	
	if	(isEmpty("emailP1")) {
		alert (document.getElementById("emailP1_vacio").value);
		return false;
	};
	
	if	(!isMail_address(document.getElementById("emailP1").value)) {
		alert (document.getElementById("emailP1_error").value);
		return false;
	   }

	if	(isEmpty("pais")) {
		alert (document.getElementById("pais_vacio").value);
		return false;
	};
	if	(isEmpty("ciudad")) {
		alert (document.getElementById("ciudad_vacio").value);
		return false;
	};		
	
	
	
//		textoResumen = Resumen.split(" ");
//		alert("Actual=>"+textoResumen+"      Aceptado==><?php echo $vMaxNroPalabras; ?>");

		ResumenEnglish = introduction.value + " " + method.value + " " + results.value + " " + conclusions.value;
		CantidadPalabras = ContarPalabras(ResumenEnglish);
				
		ResumenNativo =  objetivo.value + " " + metodos.value + " " + resultados.value + " " + conclusiones.value;
		CantidadPalabrasNativo = ContarPalabras(ResumenNativo);
		
		TituloNativo= titulo.value;
		CantidadPalabrasTitulo = ContarPalabras(Titulo);
		

		if (Number(NroPalabrasNativo) > Number(document.getElementById("MaxNroPalabras").value)){
			alert (document.getElementById("palabras_maximas_idioma_nativo").value);
			alert ("Currently you have "+NroPalabrasNativo+" words.");
			alert ("You should reduce the number of words or your work will not be received.");
			}
	
	return true;
}

function isMail_address (str){
	return  ((str.indexOf('@') != -1) && (str.indexOf('@') != 0) && (str.indexOf('@') != str.length -1) && (str.indexOf('.') != -1) && (str.indexOf('.') != 0) && (str.indexOf('.') != str.length -1))  

}

function datos_resumen(){
	if (form1.select_modalidad.value == "1")
		participant.style.display = 'block'
	else
		participant.style.display = 'none'
}
function show_div(show){
	if (show == true)
		div.style.display = 'block'
	else
		div.style.display = 'none'
}

function isEmpty(id) {
	if ((document.getElementById(id).value == null) || (document.getElementById(id).value == "")) {
		document.getElementById(id).focus();  
		return true;
	} else
		return false;
}

function show(id) {
	document.getElementById(id).style.display = "block";
}

function hide(id) {
	document.getElementById(id).style.display = "none";
}

function filtrar_codigo (cod){
	switch(cod) {
		case "Todos":
			show("AO_01"); show("AO_02"); show("AO_03");
			break;
		case "AO_01":
			show("AO_01"); hide("AO_02"); hide("AO_03");
			break;
		case "AO_02":
			hide("AO_01"); show("AO_02"); hide("AO_03");
			break;
		case "AO_03":
			hide("AO_01"); hide("AO_02"); show("AO_03");
			break;
	}
}

function autores (num){
	switch(num) {
		case "1":
			show("author1");
			hide("author2"); hide("author3"); hide("author4"); hide("author5"); hide("author6"); hide("author7"); hide("author8"); hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "2":
			show("author1"); show("author2");
			hide("author3"); hide("author4"); hide("author5"); hide("author6"); hide("author7"); hide("author8"); hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "3":
			show("author1"); show("author2"); show("author3");
			hide("author4"); hide("author5"); hide("author6"); hide("author7"); hide("author8"); hide("author9"); hide("author10");hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");   
		break;
		case "4":
			show("author1"); show("author2"); show("author3"); show("author4");
			hide("author5"); hide("author6"); hide("author7"); hide("author8"); hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "5":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5");
			hide("author6"); hide("author7"); hide("author8"); hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "6":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6");
			hide("author7"); hide("author8"); hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "7":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7");
			hide("author8"); hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "8":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); 
			hide("author9"); hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "9":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); 
			hide("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "10":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); show("author10"); hide("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		
		case "11":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); show("author10"); show("author11"); hide("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "12":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); show("author10"); show("author11"); show("author12"); hide("author13"); hide("author14");hide("author15");  
		break;
		case "13":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); show("author10"); show("author11"); show("author12"); show("author13"); hide("author14");hide("author15");  
		break;
		case "14":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); show("author10"); show("author11"); show("author12");show("author13"); show("author14");hide("author15");  
		break;
		case "15":
			show("author1"); show("author2"); show("author3"); show("author4"); show("author5"); show("author6"); show("author7"); show("author8"); show("author9"); show("author10"); show("author11"); show("author12"); show("author13"); show("author14");show("author15");  
		break;
		
	}
}

function valida_personal_info(){
	init();
	for (var i=1; i<=document.getElementById("cant_persons").value; i++){
		if	(!name_ok("nombre"+i)) {
			alert (document.getElementById("msg_empty_name").value);
			return false;
		};
		if	(!name_ok("apellidos"+i)) {
			alert (document.getElementById("msg_empty_surname").value);
			return false;
		}
	}
	if	(!string_ok("address")) {
		alert (document.getElementById("msg_empty_address").value);
		return false;
	};
	if	(!string_ok("province")) {
		alert (document.getElementById("msg_empty_province").value);
		return false;
	};
	if	(!string_ok("city")) {
		alert (document.getElementById("msg_empty_city").value);
		return false;
	};
	if	(!email_ok("email")) {
		alert (document.getElementById("msg_empty_email").value);
		return false;
	};
	if	((document.getElementById("aeroplan_in")) && (!string_ok("aeroplan_in"))) {
		alert (document.getElementById("msg_empty_aeroplan").value);
		return false;
	};
	if	((document.getElementById("aeroplan_out")) && (!string_ok("aeroplan_out"))) {
		alert (document.getElementById("msg_empty_aeroplan").value);
		return false;
	};
	if	(!string_ok("zip_code")) {
		alert (document.getElementById("msg_empty_zip_code").value);
		return false;
	};
	if	(!number_ok("phone1")) {
		alert (document.getElementById("msg_empty_telephone").value);
		return false;
	};
	if	(!number_ok("phone2")) {
		alert (document.getElementById("msg_empty_telephone").value);
		return false;
	};
	if	(!number_ok("phone3")) {
		alert (document.getElementById("msg_empty_telephone").value);
		return false;
	};
	if	(!isEmpty("fax1") && !number_ok("fax1")) {
		alert (document.getElementById("msg_empty_fax").value);
		return false;
	};
	if	(!isEmpty("fax1") && !number_ok("fax2")) {
		alert (document.getElementById("msg_empty_fax").value);
		return false;
	};
	if	(!isEmpty("fax1") && !number_ok("fax3")) {
		alert (document.getElementById("msg_empty_fax").value);
		return false;
	};
	return true;
}

function string_ok(id) {
	var re = /^[0-9a-zA-Z������������\;\:\,\*\#\+\.\\\[\]\(\)\-\_\/\[\] ]+$/;
	if ((document.getElementById(id).value != null) && (re.test(document.getElementById(id).value))) {
		return true;
	}
	else {
		document.getElementById(id).focus();  
		return false;
	}
}

function email_ok(id) {
	var re = /^[a-zA-Z][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$/;
	if ((document.getElementById(id).value != null) && (re.test(document.getElementById(id).value))) {
		return true;
	}
	else {
		document.getElementById(id).focus();  
		return false;
	}
}

function name_ok(id) {
	var re = /^[a-zA-Z������������ ]+$/;
	if ((document.getElementById(id).value != null) && (re.test(document.getElementById(id).value))) {
		return true;
	}
	else {
		document.getElementById(id).focus();  
		return false;
	}
}

function number_ok(id) { 
	var re = /^\d+$/;
	if ((document.getElementById(id).value != null) && (re.test(document.getElementById(id).value))){
		return true;
	}
	else{
		document.getElementById(id).focus();
		return false;
	}
}

function Change(palaceposition){
	var node = document.all.item("palace");
	if (node != null) {
		if (node.length > 0) {					
				for (j=0; j<node.length; j++) { 												
					if (j == palaceposition)  
						node(j).style.display = "";
					else 
						node(j).style.display = "none";	
				}
		} 
		else {
			if (node.style.display == "none") 
				node.style.display = "";
			else 
				node.style.display = "none";
		}
	}
}

function change_date (date1, date2, direction) {
	date1_arr = date1.split("-");
	date2_arr = date2.split("-");
	switch (direction) {
		case "+":
			if (date1_arr[2] >= date2_arr[2]){
				date2_arr[2] = parseInt(date1_arr[2]) + 1;
				if ((parseInt(date2_arr[2]) <= 9) && (parseInt(date2_arr[2]) >=1))
					date2_arr[2] = "0" + date2_arr[2];
			}
		break;
		case "-":
			if (date1_arr[2] <= date2_arr[2]) {
				date2_arr[2] = parseInt(date1_arr[2]) - 1;
				if ((parseInt(date2_arr[2]) <= 9) && (parseInt(date2_arr[2]) >=1))
					date2_arr[2] = "0" + date2_arr[2];
			}
		break;
	}
	return date2_arr[0] + "-" + date2_arr[1] +"-"+ date2_arr[2];
}

function index_of_select (select1, value) {
	index = -1;
	for (i=0; document.getElementById(select1).length-1; i++) {
		if (document.getElementById(select1).options[i].value == value) {
			index = i;
			break;
		}
	}
	return index;
}

function change_select (select1, select2, direction) {
	date2 = change_date(document.getElementById(select1).value, document.getElementById(select2).value, direction);
	if (index_of_select(select2, date2) != -1) {
		document.getElementById(select2).selectedIndex = index_of_select(select2, date2);
	}
}

function submitform (form, page) {
	document.getElementById(form).action = page;
	document.getElementById(form).submit();
}

function change_selection_index(id_change, id_changevalue)
{
	document.getElementById(id_change).selectedIndex = document.getElementById(id_changevalue).selectedIndex;
}